import type { ApiError, User } from '@supabase/supabase-js';
export declare type UserFetcher = (url: string) => Promise<{
    user: User | null;
    accessToken: string | null;
    error?: string | null;
}>;
export declare type UserState = {
    user: User | null;
    accessToken: string | null;
    error?: Error;
    isLoading: boolean;
    checkSession: () => Promise<void>;
};
export interface CookieOptions {
    name?: string;
    lifetime?: number;
    domain?: string;
    path?: string;
    sameSite?: string;
}
export type { ApiError, User };
